Skip to content

Get​

GET
/backend/v1/datasets/runs/{datasetRunId}

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

datasetRunId*
Type
string
Required
Format
"uuid"

Query Parameters

includeDataset

Include dataset in the response

Type
boolean
Default
false
includeScanner

Include guardrail in the response

Type
boolean
Default
false
includeScannerPackage

Include guardrail package in the response if one is associated to the dataset

Type
boolean
Default
false
includeUser

Include user in the response

Type
boolean
Default
false

Responses​

Successful Response

application/json
JSON
{
  
"dataset": {
  
  
"createdAt": "string",
  
  
"createdBy": "string",
  
  
"fileId": "string",
  
  
"filename": "string",
  
  
"id": "string",
  
  
"name": "string",
  
  
"scannerPackageId": "string"
  
},
  
"run": {
  
  
"datasetId": "string",
  
  
"fileId": "string",
  
  
"id": "string",
  
  
"result": {
  
  
  
"accuracy": 0,
  
  
  
"f1Score": 0,
  
  
  
"falseNegative": 0,
  
  
  
"falsePositive": 0,
  
  
  
"trueNegative": 0,
  
  
  
"truePositive": 0
  
  
},
  
  
"scannerId": "string",
  
  
"scannerPackageId": "string",
  
  
"scannerVersionId": "string",
  
  
"status": "string"
  
},
  
"scanner": {
  
  
"availability": {
  
  
  
"global": false,
  
  
  
"projectIds": [
  
  
  
  
[
  
  
  
  
]
  
  
  
]
  
  
},
  
  
"config": {
  
  
  
"pattern": "string",
  
  
  
"type": "regex"
  
  
},
  
  
"direction": "request",
  
  
"id": "string",
  
  
"name": "string",
  
  
"packageId": "string",
  
  
"projectId": "string",
  
  
"scannerTemplateId": "string",
  
  
"source": {
  
  
  
"type": "internal"
  
  
},
  
  
"tags": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"vendored": true,
  
  
"versionMeta": {
  
  
  
"createdAt": "string",
  
  
  
"createdBy": "string",
  
  
  
"description": "string",
  
  
  
"direction": "string",
  
  
  
"f1Score": 0,
  
  
  
"id": "string",
  
  
  
"latestDatasetResult": {
  
  
  
  
"datasetRunId": "string",
  
  
  
  
"f1Score": 0
  
  
  
},
  
  
  
"name": "string",
  
  
  
"published": true
  
  
}
  
},
  
"scannerPackage": {
  
  
"availability": {
  
  
  
"global": false,
  
  
  
"projectIds": [
  
  
  
  
[
  
  
  
  
]
  
  
  
]
  
  
},
  
  
"direction": "string",
  
  
"id": "string",
  
  
"name": "string",
  
  
"performanceScannerIds": [
  
  
  
"string"
  
  
],
  
  
"projectId": "string",
  
  
"scannerCounts": {
  
  
  
"additionalProperties": 0
  
  
},
  
  
"scannerIds": [
  
  
  
"string"
  
  
],
  
  
"source": {
  
  
  
"type": "internal"
  
  
},
  
  
"vendored": true
  
},
  
"user": {
  
  
"admin": true,
  
  
"blocked": false,
  
  
"createdAt": "string",
  
  
"email": "string",
  
  
"id": "string",
  
  
"lastInvitationSentAt": "string",
  
  
"machine": false,
  
  
"name": "string",
  
  
"org": "string",
  
  
"permissions": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"roleIds": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"roles": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"social": false,
  
  
"teams": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"verified": true
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: